<div class="page-col-input-group input-width d-flex" ...attributes>
  <div class="flex-grow-1">
    {{#if this.hasNumericValue}}
      {{! template-lint-disable require-input-label }}
      <Input class="input-dimension-numeric form-control background-red" @value={{this.numericValue}} />
    {{else}}
      <Input::Select id="{{this.elementId}}-dimension" class="input-dimension-col" @list={{this.availableColWidths}} @value={{this.colWidth}} @onChange={{this.dimensionChange}} />
    {{/if}}
  </div>

  <div>
    <Input::Select id="{{this.elementId}}-dimension-unit" class="input-dimension-unit" @list={{this.availableUnits}} @value={{this.unit}} @onChange={{this.unitChange}} />
  </div>
</div>